> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball/json-objects/stats-objects/frames-statistics.md).

# Frames Statistics

Represents the frame and period details within advanced statistics for a given match.

## Properties

<table data-header-hidden><thead><tr><th width="269">Property</th><th>Description</th></tr></thead><tbody><tr><td>frameNumber<br><em><mark style="color:blue;">Integer</mark></em></td><td>Frame or period number</td></tr><tr><td>frameLabel<br><em><mark style="color:blue;">String</mark></em></td><td>Frame or period description</td></tr><tr><td>breaksStatistics<br><a href="/basketball/json-objects/stats-objects/breaks-statistics.md"><em><mark style="color:blue;">Break Statistics</mark></em></a></td><td>Advanced brake stats. The snooker shot(s) that make up a player’s turn while at the table. Each time a player pots a red ball, they are allowed to take another shot this time on a colored ball; if they pot that, they attempt to pot another red and so on. When that player fails to pot a ball, their opponent takes the following shot. The points tally up to that time for the first player is called the break.</td></tr><tr><td>remainingBallsStatistics<br><a href="broken://pages/ZLEoVsBJ0TKAxoX4gD29"><em><mark style="color:blue;">Remaining Ball Statistics</mark></em></a></td><td>Advanced statistics for the remaining ball in snooker</td></tr><tr><td>frameDuration<br><em><mark style="color:blue;">duration</mark></em></td><td>Duration of the frame</td></tr></tbody></table>

```json
"framesStatistics": [
      {
        "frameNumber": 1,
        "frameLabel": "1st frame",
        "breaksStatistics": {
          "breaks": [
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 0,
              "breakSeq": 1,
              "startTimestamp": "2023-04-06T12:39:06.684813Z",
              "endTimestamp": "2023-04-06T12:39:19.517872Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": false
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 0,
              "breakSeq": 2,
              "startTimestamp": "2023-04-06T12:39:19.517872Z",
              "endTimestamp": "2023-04-06T12:40:08.621704Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": false
            },
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 147,
              "breakSeq": 3,
              "startTimestamp": "2023-04-06T12:40:08.621704Z",
              "endTimestamp": "2023-04-06T12:41:32.278164Z",
              "pottedBalls": {
                "redBalls": 15,
                "blackBalls": 16,
                "pinkBalls": 1,
                "blueBalls": 1,
                "brownBalls": 1,
                "greenBalls": 1,
                "yellowBalls": 1
              },
              "wasReRacked": false
            }
          ]
        },
        "remainingBallsStatistics": {
          "remainingBalls": {
            "redBalls": 0,
            "blackBalls": 0,
            "pinkBalls": 0,
            "blueBalls": 0,
            "brownBalls": 0,
            "greenBalls": 0,
            "yellowBalls": 0
          },
          "possiblePoints": 0,
          "nextExpectedBall": "None"
        },
        "frameDuration": "00:02:25.5125863"
      },
      {
        "frameNumber": 2,
        "frameLabel": "2nd frame",
        "breaksStatistics": {
          "breaks": [
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 16,
              "breakSeq": 1,
              "startTimestamp": "2023-04-06T12:41:34.307985Z",
              "endTimestamp": "2023-04-06T12:41:48.848465Z",
              "pottedBalls": {
                "redBalls": 2,
                "blackBalls": 2,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 56,
              "breakSeq": 2,
              "startTimestamp": "2023-04-06T12:41:48.848465Z",
              "endTimestamp": "2023-04-06T12:42:34.832323Z",
              "pottedBalls": {
                "redBalls": 7,
                "blackBalls": 7,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": false
            },
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 0,
              "breakSeq": 3,
              "startTimestamp": "2023-04-06T12:42:34.832323Z",
              "endTimestamp": "2023-04-06T12:42:38.413012Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": false
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 91,
              "breakSeq": 4,
              "startTimestamp": "2023-04-06T12:42:38.413012Z",
              "endTimestamp": "2023-04-06T12:43:38.713806Z",
              "pottedBalls": {
                "redBalls": 8,
                "blackBalls": 9,
                "pinkBalls": 1,
                "blueBalls": 1,
                "brownBalls": 1,
                "greenBalls": 1,
                "yellowBalls": 1
              },
              "wasReRacked": false
            }
          ]
        },
        "remainingBallsStatistics": {
          "remainingBalls": {
            "redBalls": 0,
            "blackBalls": 0,
            "pinkBalls": 0,
            "blueBalls": 0,
            "brownBalls": 0,
            "greenBalls": 0,
            "yellowBalls": 0
          },
          "possiblePoints": 0,
          "nextExpectedBall": "None"
        },
        "frameDuration": "00:01:47.6812996"
      },
      {
        "frameNumber": 3,
        "frameLabel": "3rd frame",
        "breaksStatistics": {
          "breaks": [
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 0,
              "breakSeq": 1,
              "startTimestamp": "2023-04-06T12:46:41.88604Z",
              "endTimestamp": "2023-04-06T12:47:17.097323Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 0,
              "breakSeq": 2,
              "startTimestamp": "2023-04-06T12:47:17.097323Z",
              "endTimestamp": "2023-04-06T12:47:21.612727Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 0,
              "breakSeq": 3,
              "startTimestamp": "2023-04-06T12:47:21.612727Z",
              "endTimestamp": "2023-04-06T12:47:24.449059Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 0,
              "breakSeq": 4,
              "startTimestamp": "2023-04-06T12:47:24.449059Z",
              "endTimestamp": "2023-04-06T12:47:26.654031Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "fd4a9578-2fff-4ed3-a015-694985fa8672",
              "playerName": "Bob Smith",
              "score": 0,
              "breakSeq": 5,
              "startTimestamp": "2023-04-06T12:47:26.654031Z",
              "endTimestamp": "2023-04-06T12:47:30.372002Z",
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            },
            {
              "playerId": "ecd878c9-7edb-4d52-94f6-f62d7f97c59d",
              "playerName": "Joe Charles",
              "score": 0,
              "breakSeq": 6,
              "startTimestamp": "2023-04-06T12:47:30.372002Z",
              "endTimestamp": null,
              "pottedBalls": {
                "redBalls": 0,
                "blackBalls": 0,
                "pinkBalls": 0,
                "blueBalls": 0,
                "brownBalls": 0,
                "greenBalls": 0,
                "yellowBalls": 0
              },
              "wasReRacked": true
            }
          ]
        },
        "remainingBallsStatistics": {
          "remainingBalls": {
            "redBalls": 15,
            "blackBalls": 1,
            "pinkBalls": 1,
            "blueBalls": 1,
            "brownBalls": 1,
            "greenBalls": 1,
            "yellowBalls": 1
          },
          "possiblePoints": 147,
          "nextExpectedBall": "RedBall"
        },
        "frameDuration": "00:00:00"
      }
    ]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/basketball/json-objects/stats-objects/frames-statistics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
